Subject: Re: LOCK_URL_WITH_NO_PARENT_COLLECTION

From: "Jason Crawford" <[email-masked]>
Date: Fri, 15 Feb 2002 15:32:24 -0500

> The issue: LOCK_URL_WITH_NO_PARENT_COLLECTION
>
> In <http://lists.w3.org/Archives/Public/w3c-dist-
> auth/2001JanMar/0134.html> I asked that LOCK return 409 with no
> body when parent collections don't exist.  There was no discussion
> (which at the time I took to be assent but the issue was never
> closed), but with this change in LOCK semantics I believe the
> issue is forced: LOCK must return 409 (with no body) exactly as
> PUT does when there are missing parent collections.  So I think
> this issue should be closed as accepted, unless anyone has a
> problem with the language I specified in my original message.

I'll update the issues list to reflect this.   Since I believe there is
nothing in the spec to
suggest otherwise, I'll also note that we should check that the text we add
to remove
the existance of LNR's should not be ambiguous on this topic.

------------------------------------------
Phone: 914-784-7569,   [email-masked]

---

From: Daniel Brotsky <[email-masked]>
Date: Fri, 15 Feb 2002 13:20:06 -0800

In my original message there is a suggested update of the LOCK method 
section that reflects the two possible meanings of 409.  I would suggest 
we integrate it into the spec.

     dan